summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xupdate_translation.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/update_translation.sh b/update_translation.sh
new file mode 100755
index 0000000..4eb51fa
--- /dev/null
+++ b/update_translation.sh
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+set -e
+
+git diff --quiet client/locales client/zgotext.go || { echo "There are local uncommited locale changes, exiting..."; exit 1; }
+
+tempdir=$(mktemp -d --tmpdir=.)
+trap 'rm -rf -- "$tempdir"' EXIT
+
+pushd "$tempdir" >/dev/null
+
+echo "Getting translations..."
+wget -q -O translation.zip "https://hosted.weblate.org/download/eduvpn-common/eduvpn-common/?format=zip"
+unzip -q translation.zip
+
+echo "Copying translations..."
+cp -r eduvpn-common/eduvpn-common/client ../
+
+popd >/dev/null
+
+echo "Checking for changes..."
+git diff --quiet client/locales && { echo "No locale changes, exiting..."; exit 1; }
+
+echo "Regenerating locales with go generate ./..."
+go generate ./...
+git add client/zgotext.go client/locales
+git commit -m "Client: Update translations from Weblate"